View Issue Details

IDProjectCategoryView StatusLast Update
0000184Industrial-Craft²crossmod-compatibility / submodules / APIpublic2012-12-22 09:21
ReportertwotheAssigned ToPlayer 
PrioritynormalSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in Version 
Summary0000184: Chainsaw of Twilight Forest vines causes a crash
DescriptionUsing a chainsaw on a vine from the Twilight Forest mod causes an immediate crash:
java.lang.NullPointerException
    at ic2.common.ItemElectricTool.a(ItemElectricTool.java:178)
    at um.a(SourceFile:196)
    at ir.b(ItemInWorldManager.java:310)
    at ir.a(ItemInWorldManager.java:193)
    at iv.a(NetServerHandler.java:445)
    at ej.a(SourceFile:46)
    at cf.b(MemoryConnection.java:79)
    at iv.d(NetServerHandler.java:82)
    at iw.b(NetworkListenThread.java:55)
    at bdr.b(IntegratedServerListenThread.java:111)
    at net.minecraft.server.MinecraftServer.r(MinecraftServer.java:696)
    at net.minecraft.server.MinecraftServer.q(MinecraftServer.java:592)
    at bdo.q(IntegratedServer.java:110)
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:499)
    at fy.run(SourceFile:856)

TagsNo tags attached.
Minecraft Version

Activities

Wliu

2012-12-17 02:11

reporter   ~0000496

Mod cross-compatability issue. Probably not going to be fixed.

twothe

2012-12-17 15:25

reporter   ~0000500

This is a crash in IC2 as obviously a variable is not properly checked for null. This should be fixed even though it only occurred with the mod, yet, as it might manifest in other situations as well, and I don't think it will take long to fix it.

Player

2012-12-22 09:21

administrator   ~0000540

should be fixed in the next build

Issue History

Date Modified Username Field Change
2012-12-16 21:52 twothe New Issue
2012-12-17 02:11 Wliu Note Added: 0000496
2012-12-17 15:25 twothe Note Added: 0000500
2012-12-22 09:21 Player Note Added: 0000540
2012-12-22 09:21 Player Status new => resolved
2012-12-22 09:21 Player Resolution open => fixed
2012-12-22 09:21 Player Assigned To => Player